petsc-3.4.2 2013-07-02

# PetscSubcommSetNumber

Set total number of subcommunicators.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSubcommSetNumber(PetscSubcomm psubcomm,PetscInt nsubcomm)

Collective on MPI_Comm

### Input Parameter

| psubcomm | - PetscSubcomm context
| nsubcomm | - the total number of subcommunicators in psubcomm

### Keywords

communicator

### See Also

PetscSubcommCreate(),PetscSubcommDestroy(),PetscSubcommSetType(),PetscSubcommSetTypeGeneral()

Level:advanced
Location:src/sys/objects/subcomm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages